#include "Node.h"

using namespace std;
void Node::insert(string key) {
    Node * new_node = new Node(key);
    if (this->key > key)
        this->left_child = new_node;
    else
        this->right_child = new_node;
}

std::string Node::get_key() {
    return this->key;
}

Node * Node::get_left_child() {
    return this->left_child;
}

Node * Node::get_right_child() {
    return this->right_child;
}

Node::Node(string key) {
    this->key = key;
}
